Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1091941

Description of problem:

Promotion Help tip says "one or more", but UI allows only selection of a single env to be promoted. [ That is when we have multiple

promotion paths]

What the promotion "help tip" says on the UI and the actual functionality differ.

"Choose one or more lifecycle environments from the existing promotion paths available in '<Org>'."

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140404.0/

How reproducible:

Have 2 promotion paths

Library --> Dev --> Test --> Prod

Libary --> Dev2 --> Test2 --> Prod2

Steps to Reproduce:

1. Have 2 promotion paths

2. create a CV

3. Try promoting/selecting multiple env while promotion as per the help tip.

Actual results:

Text saying "one or more" contradicts actual functionality

Expected results:

Looks like we can select only "one Env" for promotion,

Additional info:

Associated revisions

Revision 2d974a3b - 06/18/2014 02:18 PM - Christine Fouant

fixes #6277 - fixes issue with promotion hint not matching functionality, BZ 1091941

Revision b864e699 - 06/18/2014 06:18 PM - Christine Fouant

fixes #6277 - fixes issue with promotion hint not matching functionality, BZ 1091941

Revision c36f6f63 - 06/18/2014 07:13 PM - Walden Raines

Merge pull request #4300 from cfouant/fixes-6277
https://bugzilla.redhat.com/show_bug.cgi?id=1091941


fixes #6277 - fixes issue with promotion hint not matching functionality, BZ 1091941

History

#1 - 06/18/2014 06:36 PM - Eric Helms

- Target version set to 48

- Difficulty set to trivial

- Triaged set to Yes

#2 - 06/18/2014 07:52 PM - Christine Fouant

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:b864e699bfd4a105f0596579086162b41ec88e62.

#3 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
